package com.fs.hisStore.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hisStore.mapper.FsStoreProductAttrScrmMapper;
import com.fs.hisStore.domain.FsStoreProductAttrScrm;
import com.fs.hisStore.service.IFsStoreProductAttrScrmService;

/**
 * 商品属性Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsStoreProductAttrScrmServiceImpl implements IFsStoreProductAttrScrmService
{
    @Autowired
    private FsStoreProductAttrScrmMapper fsStoreProductAttrMapper;

    /**
     * 查询商品属性
     * 
     * @param id 商品属性ID
     * @return 商品属性
     */
    @Override
    public FsStoreProductAttrScrm selectFsStoreProductAttrById(Long id)
    {
        return fsStoreProductAttrMapper.selectFsStoreProductAttrById(id);
    }

    /**
     * 查询商品属性列表
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 商品属性
     */
    @Override
    public List<FsStoreProductAttrScrm> selectFsStoreProductAttrList(FsStoreProductAttrScrm fsStoreProductAttr)
    {
        return fsStoreProductAttrMapper.selectFsStoreProductAttrList(fsStoreProductAttr);
    }

    /**
     * 新增商品属性
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 结果
     */
    @Override
    public int insertFsStoreProductAttr(FsStoreProductAttrScrm fsStoreProductAttr)
    {
        return fsStoreProductAttrMapper.insertFsStoreProductAttr(fsStoreProductAttr);
    }

    /**
     * 修改商品属性
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 结果
     */
    @Override
    public int updateFsStoreProductAttr(FsStoreProductAttrScrm fsStoreProductAttr)
    {
        return fsStoreProductAttrMapper.updateFsStoreProductAttr(fsStoreProductAttr);
    }

    /**
     * 批量删除商品属性
     * 
     * @param ids 需要删除的商品属性ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreProductAttrByIds(Long[] ids)
    {
        return fsStoreProductAttrMapper.deleteFsStoreProductAttrByIds(ids);
    }

    /**
     * 删除商品属性信息
     * 
     * @param id 商品属性ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreProductAttrById(Long id)
    {
        return fsStoreProductAttrMapper.deleteFsStoreProductAttrById(id);
    }

    @Override
    public List<FsStoreProductAttrScrm> selectFsStoreProductAttrByProductId(Long productId) {
        return fsStoreProductAttrMapper.selectFsStoreProductAttrByProductId(productId);
    }
}
